<div class="row">
  <div class="col-md-6">
    <form #f = "ngForm" (ngSubmit)="saveProduct(f.value)" autocomplete="off">
      <div class="form-group">
        <label for="title">Title</label>
        <input [(ngModel)]="product.title" name="title" id="title" required #title = "ngModel"
               type="text" class="form-control">
        <div class="alert alert-danger" *ngIf="title && title.touched && title.invalid">
          Title is Required</div>
      </div>

      <div class="form-group">
        <label for="price">Price</label>
        <div class="input-group-prepend">
          <span class="input-group-text">$</span>
          <input [(ngModel)]="product.price" name="price" id="price" required #price = "ngModel" [min]="0"
                 type="number" class="form-control">
        </div>
        <div *ngIf="price.touched && price.invalid">
          <div class="alert alert-danger" *ngIf="price.errors.required">Price is Required</div>
          <div class="alert alert-danger" *ngIf="price.errors.min">Price should be 0 or higher</div>
        </div>
      </div>

      <div class="form-group">
        <label for="category">Category</label>
        <select [(ngModel)]="product.category" name="category" id="category" required #category = "ngModel" class="form-control">
          <option></option>
          <option *ngFor="let category of categories$ | async" >
            {{category.name}}
          </option>
        </select>
        <div class="alert alert-danger" *ngIf="category.touched && category.invalid">Category is Required</div>
      </div>

      <div class="form-group">
        <label for="imageUrl">ImageURL</label>
        <input [(ngModel)]="product.imageUrl" name="imageUrl" id="imageUrl" required url #imageUrl = "ngModel" type="text" class="form-control">

        <div *ngIf="imageUrl.touched && imageUrl.invalid">
          <div class="alert alert-danger" *ngIf="imageUrl.errors.required">imageUrl is required</div>
          <div class="alert alert-danger" *ngIf="imageUrl.errors.url">Enter Valid Url</div>
        </div>
      </div>

      <button class="btn btn-primary">Save</button> &nbsp;
      <button class="btn btn-danger" (click)="deleteProduct()">Delete</button>
    </form>
  </div>
  <div class="col-md-6">
    <product-card [product]="product" [show-actions]="false"></product-card>
    </div>
  </div>


